KABC::ResourceFile Class Reference

`#include <resourcefile.h>`

Inherits KABC::Resource.

## Public Member Functions

| ResourceFile (const KConfig *cfg)
| ResourceFile (const QString &fileName, const QString &formatName="vcard")
| ~ResourceFile ()
virtual void | writeConfig (KConfig *cfg)
virtual bool | doOpen ()
virtual void | doClose ()
virtual Ticket * | requestSaveTicket ()
virtual void | releaseSaveTicket (Ticket *)
virtual bool | load ()
virtual bool | asyncLoad ()
virtual bool | save (Ticket *ticket)
virtual bool | asyncSave (Ticket *ticket)
void | setFileName (const QString &)
QString | fileName () const
void | setFormat (const QString &name)
QString | format () const
virtual void | removeAddressee (const Addressee &addr)

## Protected Slots

void | fileChanged ()

## Protected Member Functions

void | init (const QString &fileName, const QString &format)
bool | lock (const QString &fileName)
void | unlock (const QString &fileName)

## Detailed Description

This resource allows access to a local file.

Definition at line 40 of file resourcefile.h.

## Constructor & Destructor Documentation

ResourceFile::ResourceFile | ( | const KConfig * | cfg | ) |

Constructor.

Parameters

  cfg | The config object where custom resource settings are stored.

Definition at line 49 of file resourcefile.cpp.

ResourceFile::ResourceFile | ( | const QString & | fileName,
|  | const QString & | formatName = `"vcard"`
| ) |  |

Construct file resource on file.

- fileName using format
- formatName.

Definition at line 66 of file resourcefile.cpp.

ResourceFile::~ResourceFile | ( |  | ) |

Destructor.

Definition at line 95 of file resourcefile.cpp.

## Member Function Documentation

void ResourceFile::doClose | ( |  | ) |

virtual

Closes the file again.

Definition at line 206 of file resourcefile.cpp.

bool ResourceFile::doOpen | ( |  | ) |

virtual

Tries to open the file and checks for the proper format.

This method should be called before load().

Definition at line 144 of file resourcefile.cpp.

QString ResourceFile::fileName | ( |  | ) | const

Return name of file used for loading and saving the address book.

Definition at line 331 of file resourcefile.cpp.

QString ResourceFile::format | ( |  | ) | const

Returns the format name.

Definition at line 345 of file resourcefile.cpp.

bool ResourceFile::load | ( |  | ) |

virtual

Loads all addressees from file to the address book.

Returns true if all addressees could be loaded otherwise false.

Definition at line 210 of file resourcefile.cpp.

void ResourceFile::removeAddressee | ( | const Addressee & | addr | ) |

virtual

Remove a addressee from its source.

This method is mainly called by KABC::AddressBook.

Definition at line 366 of file resourcefile.cpp.

Ticket * ResourceFile::requestSaveTicket | ( |  | ) |

virtual

Requests a save ticket, that is used by save()

Definition at line 113 of file resourcefile.cpp.

bool ResourceFile::save | ( | Ticket * | ticket | ) |

virtual

Saves all addresses from address book to file.

Returns true if all addressees could be saved otherwise false.

Parameters

  ticket | The ticket returned by requestSaveTicket()

Definition at line 243 of file resourcefile.cpp.

void ResourceFile::setFileName | ( | const QString & | fileName | ) |

Set name of file to be used for saving.

Definition at line 319 of file resourcefile.cpp.

void ResourceFile::setFormat | ( | const QString & | name | ) |

Sets a new format by name.

Definition at line 336 of file resourcefile.cpp.

void ResourceFile::writeConfig | ( | KConfig * | cfg | ) |

virtual

Writes the config back.

Definition at line 101 of file resourcefile.cpp.

The documentation for this class was generated from the following files:

- resourcefile.h
- resourcefile.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys